Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | Related Pages | Search for

# eoMGGReplacement< EOT > Class Template Reference

eoMGGReplacement is an eoReplacement: - choose N (2) parents RANDOMLY - remove them from the parent population - select best offspring, add to parents - merge (other?) offspring and the N removed parents - select best N-1 of this merged population (detTournament only at the moment) - put them back into parent population More...

`#include <eoMGGReplacement.h>`

Inheritance diagram for eoMGGReplacement< EOT >:

List of all members.

## Public Member Functions
| eoMGGReplacement (eoHowMany _howManyEliminatedParents=eoHowMany(2, false), unsigned _tSize=2)
void | operator() (eoPop< EOT > &_parents, eoPop< EOT > &_offspring)
| The pure virtual function that needs to be implemented by the subclass.
## Private Attributes
eoLinearTruncateSplit< EOT > | split
eoPlus< EOT > | plus
unsigned int | tSize

## Detailed Description

### template<class EOT>
class eoMGGReplacement< EOT >

eoMGGReplacement is an eoReplacement: - choose N (2) parents RANDOMLY - remove them from the parent population - select best offspring, add to parents - merge (other?) offspring and the N removed parents - select best N-1 of this merged population (detTournament only at the moment) - put them back into parent population

Definition at line 50 of file eoMGGReplacement.h.

The documentation for this class was generated from the following file:

- eoMGGReplacement.h